Make Python packaging more robust

Registered by Barry Warsaw on 2010-05-04

This is a carryover and scheduling combined blueprint for making packaging of Python on Maverick more robust. It carries on the deferred blueprint from Lucid: https://blueprints.edge.launchpad.net/ubuntu/+spec/foundations-lucid-robust-python-packaging

However, in light of PEP 3147, it's likely that the work items identified for Lucid will not be relevant for Maverick. That's open for discussion.

This combines the blueprints:

* https://blueprints.launchpad.net/ubuntu/+spec/foundations-m-python-no-symlinks
* https://blueprints.launchpad.net/ubuntu/+spec/foundations-m-python-cx-freeze

for UDS-M scheduling purposes.

Blueprint information

Status:
Complete
Approver:
Robbie Williamson
Priority:
Medium
Drafter:
Barry Warsaw
Direction:
Needs approval
Assignee:
Barry Warsaw
Definition:
Approved
Series goal:
Accepted for natty
Implementation:
Implemented
Milestone target:
None
Started by
Barry Warsaw on 2010-07-07
Completed by
Barry Warsaw on 2011-03-30

Related branches

Sprints

Whiteboard

Work items:
[barry] Decide which versions of Python will be shipped with Maverick: DONE
[barry] Investigate amount of work to backport PEP 3147 to Python 2.6 and 2.7: DONE
[barry] Implement PEP 3149 versioned .so files: DONE
[barry] Take versioned .so files upstream: DONE
[barry] Investigate amount of work to adopt dh_python2 to eliminate symlinks: POSTPONED
[mvo] Add an auto-upgrade test profile that installs all/most of python (including universe) and tried to upgrade it and import all modules from 2.6, 2.7 (upgrade flawlessly ~2700 pkgs including universe, resultlist for failing imports http://paste.ubuntu.com/565099/): DONE
[barry] Get agreement to keep source packages shared b/w 2 and 3 but split if upstream stops shipping py2 version: DONE

barry 20110330: We're going to create a new spec for oneiric solely for the dh_python{2,3} transition.

(?)

Work Items